## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class ClassDocType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.ClassDocType

    public class ClassDocType

extends java.lang.Object

The documentation type for classes.
Created on: Jun 12, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`ClassDocType()`

Method Summary
`java.util.List<java.lang.Object>` | `getAny()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getCommentText()`
`java.util.List<MethodDocType>` | `getMethodDocs()`
`void` | `setClassName(java.lang.String className)`
`void` | `setCommentText(java.lang.String commentText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassDocType

    public ClassDocType()

Method Detail

### getMethodDocs

    public java.util.List<MethodDocType> getMethodDocs()

### getAny

    public java.util.List<java.lang.Object> getAny()

### getCommentText

    public java.lang.String getCommentText()

  Returns:
    the commentText

### setCommentText

    public void setCommentText(java.lang.String commentText)

  Parameters:
    `commentText` - the commentText to set

### getClassName

    public java.lang.String getClassName()

  Returns:
    the className

### setClassName

    public void setClassName(java.lang.String className)

  Parameters:
    `className` - the className to set

Copyright © 2017 Oracle Corporation. All Rights Reserved.